/*
**    BLASTgres -- Biosequence data management in PostgreSQL
**    http://www.blastgres.org/
**
**    Copyright (C) 2005, 2006  Ruey-Lung Hsiao,  D.S. Parker
**    (rlhsiao@cs.ucla.edu, stott@cs.ucla.edu)
**
**    UCLA Center for Computational Biology
**    635 Charles Young Drive South, Suite 225
**    Los Angeles, CA 90095-7332  USA
**
**    UCLA Computer Science Dept.
**    3532 Boelter Hall
**    Los Angeles, CA 90095-1596  USA
**
**    This program is free software; you can redistribute it and/or
**    modify it under the terms of the GNU General Public License
**    as published by the Free Software Foundation; either version 2 of
**    the License, or (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**    See the GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public
**    License along with this program; if not, write to the
**    Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
**    Boston, MA  02110-1301  USA
*/

#ifndef ___RANGE_GIST_OPS2_H
#define ___RANGE_GIST_OPS2_H

#include "postgres.h"
#include "utils/array.h"
#include "utils/builtins.h"
#include "range.h"
#include "_range.h"

#define GIST__RANGE_OPS2_ContainsStrategyNumber      1
#define GIST__RANGE_OPS2_ContainedStrategyNumber     2
#define GIST__RANGE_OPS2_SameStrategyNumber          3
#define GIST__RANGE_OPS2_OverlapsStrategyNumber      4
#define GIST__RANGE_OPS2_MaxStrategyNumber           GIST__RANGE_OPS2_OverlapsStrategyNumber

#define GIST__RANGE_OPS2_ContainsRangeStrategyNumber  (GIST__RANGE_OPS2_MaxStrategyNumber+1)
#define GIST__RANGE_OPS2_ContainsIntervalStrategyNumber (GIST__RANGE_OPS2_MaxStrategyNumber+2)
#define GIST__RANGE_OPS2_ContainedIntervalStrategyNumber (GIST__RANGE_OPS2_MaxStrategyNumber+3)
#define GIST__RANGE_OPS2_OverlapsIntervalStrategyNumber (GIST__RANGE_OPS2_MaxStrategyNumber+4)


bool internal_range_overlaps__range( RANGE *range, ArrayType *arr );
bool internal_range_contains__range( RANGE *range, ArrayType *arr );

#endif
