/*
**    BLASTgres -- Biosequence data management in PostgreSQL
**    http://www.blastgres.org/
**
**    Copyright (C) 2005, 2006  Ruey-Lung Hsiao,  D.S. Parker
**    (rlhsiao@cs.ucla.edu, stott@cs.ucla.edu)
**
**    UCLA Center for Computational Biology
**    635 Charles Young Drive South, Suite 225
**    Los Angeles, CA 90095-7332  USA
**
**    UCLA Computer Science Dept.
**    3532 Boelter Hall
**    Los Angeles, CA 90095-1596  USA
**
**    This program is free software; you can redistribute it and/or
**    modify it under the terms of the GNU General Public License
**    as published by the Free Software Foundation; either version 2 of
**    the License, or (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**    See the GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public
**    License along with this program; if not, write to the
**    Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
**    Boston, MA  02110-1301  USA
*/

/*-------------------------------------------------------------------------
 *
 * seq.h
 *
 *    Definitions of functions for sequence operations.
 *    Notice that genomic sequences are represented as text type objects
 *    in postgresql, so there are plenty of native supports for them.
 *    we only add genetics-related functions.
 *
 * This file is included in seq.c and all the files using sequence data objects
 * in Postgresql
 *
 * This is part of the BLASTgres project.
 *
 *-------------------------------------------------------------------------
 */

#ifndef SEQ_H
#define SEQ_H

/* exported functions */  
PG_FUNCTION_INFO_V1(revcom);
PG_FUNCTION_INFO_V1(transcription);
PG_FUNCTION_INFO_V1(translation);

Datum revcom(PG_FUNCTION_ARGS);
Datum transcription(PG_FUNCTION_ARGS);
Datum translation(PG_FUNCTION_ARGS);

/* functions used internally */
char translation_table( char *p );

#endif
